"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.toContainHTML = toContainHTML;

var _jestMatcherUtils = require("jest-matcher-utils");

var _utils = require("./utils");

function checkHtmlText(element, htmlText) {
  var DOMParser = element.ownerDocument.defaultView.DOMParser;
  var htmlElement = typeof htmlText === 'string' ? new DOMParser().parseFromString(htmlText, 'text/html').body.firstChild : null;

  for (var _len = arguments.length, args = new Array(_len > 2 ? _len - 2 : 0), _key = 2; _key < _len; _key++) {
    args[_key - 2] = arguments[_key];
  }

  (0, _utils.checkHtmlElement)(htmlElement, ...args);
}

function toContainHTML(container, htmlText) {
  var _this = this;

  (0, _utils.checkHtmlElement)(container, toContainHTML, this);
  checkHtmlText(container, htmlText, toContainHTML, this);
  return {
    pass: container.outerHTML.includes(htmlText),
    message: function message() {
      return [(0, _jestMatcherUtils.matcherHint)(`${_this.isNot ? '.not' : ''}.toContainHTML`, 'element', ''), '', 'Received:', `  ${(0, _jestMatcherUtils.printReceived)(container.cloneNode(false))}`].join('\n');
    }
  };
}